package client

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/cli"
	"shylinux.com/x/icebergs/base/mdb"
	"shylinux.com/x/icebergs/base/nfs"
	"shylinux.com/x/icebergs/base/web"
)

const (
	OLLAMA = "ollama"
)

type client struct {
	list string `name:"list NAME auto" help:"大模型"`
}

func (s client) Init(m *ice.Message, arg ...string) {
	m.Cmd(web.SPIDE, mdb.CREATE, "http://localhost:11434/api/chat", OLLAMA, nfs.SRC_MAIN_PNG)
}
func (s client) List(m *ice.Message, arg ...string) {
	if len(arg) == 0 {
		m.SplitIndex(s.cmdx(m, ice.LIST))
	} else {
		m.Echo(s.cmdx(m, ice.SHOW, arg[0]))
	}
}

func init() { ice.ChatModCmd(client{}) }

func (s client) cmdx(m *ice.Message, arg ...string) string {
	return m.Cmdx(cli.SYSTEM, OLLAMA, arg)
}
